[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TStatusBar.SetBiDiMode

Sets the value in the BiDiMode property.

## Declaration

Source position: comctrls.pp line 150

`protected procedure TStatusBar.SetBiDiMode(`
`AValue: TBiDiMode`
`); override;`

## Arguments

`AValue` |  | New value for the property.

## Description

Ensures that all panels in the status bar update their alignment to match the new value for the property. Calls UpdateHandleObject to ensure that an update sequence is started for the control when its handle has been assigned.

## See also

TStatusBar.Panels |  | Collection with the TStatusPanel instances defined for the control.
TStatusBar.UpdateHandleObject |  | Updates the handle for the status bar when one or all of the panels on the control need to be updated.
TControl.BiDiMode |  | Indicates whether text controls use in bi-directional reading.